Skip to main content
`Ctrl`+`K`

# DMAdaptorSetFromOptions

Sets properties of a `DMAdaptor` object from values in the options database

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorSetFromOptions(DMAdaptor adaptor)

Collective

## Input Parameter

- adaptor - The `DMAdaptor` object

## Options Database Keys

- -adaptor_monitor - Monitor the adaptation process

- -adaptor_sequence_num - Number of adaptations to generate an optimal grid

- -adaptor_target_num - Set the target number of vertices N_adapt, -1 for automatic determination

- -adaptor_refinement_factor - Set r such that N_adapt = r^dim N_orig

## See Also

DM Basics, `DM`, `DMAdaptor`, `DMAdaptorCreate()`, `DMAdaptorAdapt()`

## Level

beginner

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages